#!/usr/bin/env python
from subprocess import run
from pathlib import Path
from datetime import date
from dateutil.relativedelta import relativedelta
from locale import setlocale, LC_TIME
setlocale(LC_TIME, 'fr_FR.utf8')

last_month = f'{date.today() - relativedelta(months=1):%B}'

source = Path.home() / 'downloads' / f'mailinkid-{last_month}.html'
target = Path('.').resolve() / str(date.today().year) / f'{last_month}.html'

run(['mv', '-v', source, target])

